package ${packageName};

import java.util.Map;

import cn.ksource.core.page.PageInfo;

@SuppressWarnings("rawtypes")
public interface ${className}Facade {
	/**
	 * 插入，更新对象
	 * @author chenlong 
	 * @param params
	 */
	void save${className}(Map<String, String> params);
	/**
	 * 删除对象
	 * @author chenlong 
	 * @param id
	 */
	void del${className}ById(String id);
	/**
	 * 列表查询
	 * @author chenlong 
	 * @param pageInfo
	 * @param param
	 * @return
	 */
	PageInfo get${className}ListData(PageInfo pageInfo, Map<String, String> param);
	
	/**
	 * 列表数量查询
	 * @author chenlong 
	 * @param param
	 * @return
	 */
	Integer get${className}ListCount(Map<String, String> param);
	
	/**
	 * 根据id获取对象
	 * @author chenlong 
	 * @param id
	 * @return
	 */
	Map get${className}ById(String id);
	
}
